Bug 584620 - system time not set on boot
Summary: system time not set on boot
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 15
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-04-22 04:13 UTC by ritz
Modified: 2012-06-04 14:58 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-06-04 14:58:36 UTC
Type: ---


Attachments (Terms of Use)

Description ritz 2010-04-22 04:13:47 UTC
Description of problem:
system time is not set from bios as per IST. I have to manually run "hwclock --hctosys" upon boot. I have selected system clock is not set to UTC, from system-config-date, no go.
 

from dmesg
rtc_cmos 00:05: RTC can wake from S4
rtc_cmos 00:05: rtc core: registered rtc_cmos as rtc0
rtc0: alarms up to one day, 114 bytes nvram, hpet irqs
...
rtc_cmos 00:05: setting system clock to 2010-04-22 09:03:45 UTC (1271927025)

Comment 1 Bug Zapper 2010-07-30 11:26:15 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 14 development cycle.
Changing version to '14'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 2 A. Mani 2011-06-02 02:17:54 UTC
Happens in Fedora 15 as well
x86-64
I have also selected system clock is set to local (IST)

In boot.log 
Starting Apply System Clock UTC Offset...
Starting Apply Kernel Variables...


Note You need to log in before you can comment on or make changes to this bug.